Preparando Eclipse para desarrollar en Android

Sé que hay muchos tutoriales para instalar el SDK de Android y Eclipse, pero veo que muchos omiten un tip interesante que a los novatos le rompe la cabeza.

En este momento ando usando el Eclipse Juno que está disponible para Archlinux. Si no lo tienes instalado, basta con un simple:

sudo pacman -S eclipse

– – – Actualización – – –

Eclipse Juno me ha dado algunos problemas al momento de crear y trabajar con los proyectos Android. Recomiendo usar Eclipse Indigo que puede ser descargado desde su web, o usar paquete eclipse-indigo que se encuentra en AUR.

– – – Fin de la actualización – – –

Si eres debianita, mandrivero, opensusero, redhatero o “x” linuxero, instala según tu gestor de paquetes o tallbar.

Ahora hay que abrir Eclipse e ir al menú Help y buscar la opción Install New Software.

En la siguiente ventana, hay que dar clic en el botón Add.

Nos aparecerá la siguiente ventanita:

Ahí, añadiremos un nuevo repositorios de software para Eclipse. Los datos serán:

  • Repo 1:
    • Name: Indigo Updates
    • Location:  http://download.eclipse.org/releases/indigo/

Damos en Ok, y cargará de nuevo la ventana de repositorios de Eclipse. Este repo es importante, porque al momento de instalar los complementos ADT sin este, no podrá resolver diversas dependencias que no posee el “Eclipse pelón” que tenemos cuando instalamos.

Ahora tendremos que añadir otro repo, pero estos datos:

Cuando terminemos, dejaremos que cargue los complementos disponibles a instalar. Si no aparece, buscamos en la lista desplegable y elegimos la opción “All Available Sites

Después de eso hay que elegir las opciones “Developer Tools” y “NDK Plugins

Ahora damos clic en Next para aceptar los Términos y Condiciones de los nuevos complementos a instalar. Damos clic en Finish para que se inicie la instalación.

Cuando termine, Eclipse pedirá reiniciar para poder trabajar con los nuevos complementos. Con esto, podremos ya desarrollar en Android.

Anuncios

7 pensamientos en “Preparando Eclipse para desarrollar en Android

    • En este momento ando usando GNOME3 y el problema de la integración gráfica de con KDE lo solucioné mediante la instalación de los paquete qtcurve-gtk2.

      Checa en tu distro el nombre o paquetes parecidos.

    • Ya ando usando KDE y las apps de GNOME no tenían buena integración hasta que instalé los paquetes oxygen-gtk2 y oxygen-gtk3. Intenta instalar esos y el paquete que mencioné en el comentario anterior.

  1. Soy nuevo en el mundo arch y estaba cabezón porque no me quería instalar el plugin pero gracias a ti ya volví a nacer jajajaja

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s